{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'delete' %}
        <div class="alert alert-success" role="alert">
            The book was removed successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while deleting the book, contact the administrator!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Book</h5>
        <div class="card-body">
            <h5 class="card-title">Delete a book from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'delete_book' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for book in books %}
                        {% if forloop.first %}
                            <label for="inputBook_id" class="form-label">Book id</label>
                            <select id="inputBook_id" name="inputBook_id" class="form-select mb-3">
                            <option value="{{ book.id }}" selected>{{ book.title }} - {{ book.editorial.name }}</option>
                        {% else %}
                            <option value="{{ book.id }}">{{ book.title }} - {{ book.editorial.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no books to Delete</h1>
                    {% endfor %}
                    </select>
                </div>
                {% if books %}
                    <button type="submit" class="btn btn-danger">Delete</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_books' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
